<?php
include('login_mysql.php');
?>

<html>
	<head>
		<title>Consommation EDF</title>
	</head>
	<body>
		<style>
		body{
			font-family: Arial;
			size: 12px;
		}
		</style>
		<?php
		$jour = date('Y-m-d');
		if ( isset($_GET['date']) ) $jour = trim(htmlentities($_GET['date']));
		?>
		
		<form method="get" action="">
		Date:  <input type="text" name="date" size="10" value="<?php echo $jour; ?>" /> <input type="submit" value="Afficher" />
		</form>
		
		<img src="graph_puissance.php?date=<?php echo $jour; ?>" />
		
		<br /><br />
		
		<table>
				<?php
				$result = $connexion_sql->query('SELECT
					date_releve,
					nom,
					tarif_actuel,
					valeur_debut,
					valeur_fin,
					(valeur_fin - valeur_debut) AS difference_wh,
					(
						((valeur_fin - valeur_debut) / 1000) * tarif_actuel
					) AS cout
					FROM
					(
						SELECT
						"'.$jour.'" AS date_releve,
						nom,
						(
								SELECT
								tarif
								FROM tarif_periode_tarifaire
								WHERE YEAR(date_debut)<=YEAR(date_releve) AND tarif_periode_tarifaire.id_periode_tarifaire=periode_tarifaire.id_periode_tarifaire
								ORDER BY date_debut DESC
								LIMIT 1
						) AS tarif_actuel,
						(
								SELECT
								IF ( id_periode_tarifaire=1, valeur_heures_creuses, valeur_heures_pleines)
								FROM releve
								WHERE DATE(date_heure)=date_releve AND releve.id_periode_tarifaire=periode_tarifaire.id_periode_tarifaire
								ORDER BY date_heure ASC
								LIMIT 1
						) AS valeur_debut,
						(
								SELECT
								IF (
									releve.id_periode_tarifaire=periode_tarifaire.id_periode_tarifaire,
									IF ( id_periode_tarifaire=1, valeur_heures_creuses, valeur_heures_pleines),
									IF ( id_periode_tarifaire=1, valeur_heures_pleines, valeur_heures_creuses)
								)
								FROM releve
								WHERE DATE(date_heure)=date_releve
								AND (
									releve.id_periode_tarifaire=periode_tarifaire.id_periode_tarifaire
									OR
									(
									   releve.id_periode_tarifaire!=periode_tarifaire.id_periode_tarifaire
									   AND
									   valeur_heures_creuses IS NOT NULL
									   AND
									   valeur_heures_pleines IS NOT NULL
									)
								)
								ORDER BY date_heure DESC
								LIMIT 1
						) AS valeur_fin
						FROM periode_tarifaire
					  
					) AS infos');
				$cout_total = 0;
				foreach ($result as $row){
					?>
					<tr>
						<td>
							<b><?php echo $row['nom']; ?></b><br />
							Tarif: <?php echo $row['tarif_actuel']; ?> €/kWh<br />
							Début: <?php echo $row['valeur_debut']; ?> Wh<br />
							Fin: <?php echo $row['valeur_fin']; ?> Wh<br />
							Consommé: <?php echo $row['difference_wh']; ?> Wh<br />
							Coût: <?php echo (round($row['cout'] * 1000) / 1000); ?> €<br />
						</td>
					</tr>
					<?php
					$cout_total += $row['cout'];
				}
				?>
				<tr>
					<td>
						&nbsp;<br />
						Coût de la journée : <?php echo (round($cout_total * 1000) / 1000); ?> €
					</td>
				</tr>
		</table>
	</body>
</html>